<?php
// $Id: sina_open.admin.inc,v 1.1 2010/07/25 15:43:36 eastcn Exp $

/**
 * 管理设置
 */
function sina_open_admin_settings(){
  $form['sina_open_oauth_consumer_key'] = array(
    '#type' => 'textfield',
    '#title' => '新浪微博 API',
    '#default_value' => variable_get('sina_open_oauth_consumer_key', NULL),
    '#description' => '你可以到 http://open.t.sina.com.cn/wiki 申请，若没有，请留空。'
  );
  $form['sina_open_oauth_consumer_secret'] = array(
    '#type' => 'textfield',
    '#title' => 'API 密钥',
    '#default_value' => variable_get('sina_open_oauth_consumer_secret', NULL),
    '#description' => '除非你自行设置了 API，否则请留空'
  );
  $form['sina_open_comment'] = array(
    '#type' => 'radios',
    '#title' => '在评论中启用',
    '#default_value' => variable_get('sina_open_comment', 1),
    '#options' => array('否', '是')
  );
  
  $types = node_get_types();
  
  foreach ($types as $type){
    $form['sina_open_node_'.$type->type] = array(
      '#title' => '在 '.$type->name.' 中启用',
      '#type' => 'checkbox',
      '#default_value' => variable_get('sina_open_node_'.$type->type, 1),
    );
  }
  
  return system_settings_form($form);
}